%define name	perl-OpenCA-REQ
%define version	0.9.61
%define release	2mdk

Summary:	Request Object Handling in PERL
Name: 		%{name}
Version: 	%{version}
Release:	%{release} 
License:	BSD-like
Group: 		Development/Perl
URL:		http://www.cpan.org
Source:		OpenCA-REQ-%{version}.tar.bz2
#Requires:	perl-OpenCA-OpenSSL
#Requires:	perl-Digest-MD5
#Requires:	perl-X500-DN
BuildRequires:	perl-X500-DN
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
This module provides an object-oriented interface for Request
managing. Supported operations are oriented to parsing Requests,
the module uses the OpenCA-OpenSSL module for accessing the
objects internals.

This product includes OpenCA software written by Massimiliano Pala
(madwolf@openca.org) and the OpenCA Group (www.openca.org)

%prep

%setup -q -n OpenCA-REQ-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

# cleanup
rm -f %{buildroot}%{perl_vendorlib}/OpenCA/prova.pl

%clean 
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc Changes LICENSE MANIFEST prova.pl
%{perl_vendorlib}/OpenCA/REQ.pm
%{perl_vendorlib}/OpenCA/REQ.pod
%{_mandir}/*/*

%changelog
* Thu Aug 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.61-2mdk
- new tarball, same version

* Sun Aug 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.61-1mdk
- 0.9.61

* Tue Jul 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.60-1mdk
- 0.9.60

* Tue Jul 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.58-1mdk
- 0.9.58

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.57-1mdk
- 0.9.57

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.56-2mdk
- built for cooker
- fix some deps (Stefan van der Eijk)

* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.56-1mdk
- 0.9.56

* Mon May 03 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.55-1mdk
- 0.9.55

* Wed Apr 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.54-1mdk
- initial package
